#pragma once
#include "nanocom.h"

#ifdef __linux__
#include <vector>
#endif

struct ISoundArchive : IBase
{
    virtual int  STDCALL Open( LPCTSTR pathName) = 0;
    virtual void STDCALL Close() = 0;
    virtual bool STDCALL FindWord( const uint16_t * word) = 0;
    virtual bool STDCALL SayWord( const uint16_t * word) = 0;
    virtual bool STDCALL GetSoundData( const uint16_t * word, std::vector< short> & buffer) = 0;
};
