#pragma once
#include "nanocom.h"

struct ISoundArchive : IBase
{
    virtual int  STDCALL Open( LPCTSTR pathName) = 0;
    virtual void STDCALL Close() = 0;
    virtual bool STDCALL FindWord( const unsigned short * word) = 0;
    virtual bool STDCALL SayWord( const unsigned short * word) = 0;
    virtual bool STDCALL GetSoundData( const unsigned short * word, std::vector< short> & buffer) = 0;
};
